<template>
  <div class="svg-logo" :style="iconStyle">
    <component :is="iconType" />
  </div>
</template>

<script>
import logos from './logos'
export default {
  name: 'SvgLogo',
  components: {
    ...logos
  },
  props: {
    iconType: {
      type: String,
      default: () => null
    },

    width: {
      type: [Number, String],
      default: 100
    },
    height: {
      type: [Number, String],
      default: 'auto'
    }
  },
  computed: {
    iconStyle() {
      const { width, height } = this
      return {
        width: `${width}px`,
        height: `${height}px`
      }
    }
  }
}
</script>

<style scoped></style>
